Bug 489231 - move drpmsync to a subpackage
Summary: move drpmsync to a subpackage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: deltarpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: F11MinimalPlatform
Blocks: F11Target FedoraOLPCDelta FedoraMini, Mobility
TreeView+ depends on / blocked
 
Reported: 2009-03-08 22:10 UTC by Peter Robinson
Modified: 2009-04-22 14:34 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-04-22 05:56:04 UTC


Attachments (Terms of Use)

Description Peter Robinson 2009-03-08 22:10:18 UTC
drpmsync is written in perl and looks to provide extra functionality than it required in standard client update stuff. It would be great to move it to a sub package and hence move the perl requirement to the subpackage. This will allow smaller distros to remove perl.

Comment 1 Peter Robinson 2009-04-19 21:02:38 UTC
Ping? Without the change we're stripping this out of the OLPC with GNOME desktop build because of the perl dep which takes PackageKit with it. Not ideal but perl adds around 10% to the OLPC build.

Comment 2 Jonathan Dieter 2009-04-22 05:56:04 UTC
Sorry for the delay.  Done.  See http://koji.fedoraproject.org/koji/taskinfo?taskID=1313930.  If you want me to build for any of the other releases, please let me know.

Comment 3 Peter Robinson 2009-04-22 08:20:30 UTC
Would be great if it could be tagged into F11. Means we can add PackageKit back into the OLPC Gnome stuff :)

Comment 4 Jonathan Dieter 2009-04-22 13:54:16 UTC
It just got tagged into dist-f11.  Thank rel-eng!

Comment 5 Peter Robinson 2009-04-22 14:34:53 UTC
Thanks to all :)


Note You need to log in before you can comment on or make changes to this bug.